/* QUERY.H -- Stucture and function declarations for database functions  */

#ifndef QUERY_H
#define QUERY_H

#include "config.h"
#include "reffile.h"
#include "alist.h"
#include "loadfile.h"

#define  CDBS_SERVER		"ZEPPO"
#define  CDBS_DB		"cdbs_ops"
#define  DADS_DB		"dadsops"
#define  CDBS_USER		"calread"
#define  CDBS_PASSWORD		"caliblook"

#ifdef   SHOW_QUERY
#define  Q(x)		x
#else
#define  Q(x)		/* nothing */
#endif

typedef struct {
int	connection;
char	server[SZ_STRING+1];
char	cdbs_db[SZ_STRING+1];
char	dads_db[SZ_STRING+1];
} context;

extern void	compfile_query (alist *, char *, char *, int);
extern void	comptab_query (context *, alist *, int, char *, 
			       char *, table *);
extern void	free_query (context *);
extern context *init_query (void);
extern void	obsmode_query (char *, char *, textbuf *);

#endif
