
/*****************************************************************************/
/*                                                                           */
/*  File:    create_cdbs_default.sql                                         */
/*                                                                           */
/*  Purpose: create cdbs default on integer, floating_point and string       */
/*           data                                                            */
/*                                                                           */
/*  Usage :  vms :                                                           */
/*             isql/server_name=server_name/input=create_cdbs_default.sql    */
/*           unix:                                                           */
/*             isql -S server_name -i create_cdbs_default.sql                */
/*                                                                           */
/*           you may omit server_name if DSQUERY has been defined            */
/*                                                                           */
/*  Modification History:                                                    */
/*                                                                           */
/*    Date       OPR      Who                       Reason                   */
/*  --------   -------    ---   -------------------------------------------  */
/*  05/23/96               sk   Original                                     */
/*  02/19/97               sk   change cdbs_int_default value                */
/*                                                                           */
/*****************************************************************************/
/*                                                                           */

create default cdbs_char_default as " "
go
create default cdbs_int_default as -2147483648  /* starview default int value */
go
create default cdbs_float_default as -1.0  /* starview = -1.70141e38 */
go
