/*****************************************************************************/
/*                                                                           */
/*  File:    delete_delivery.sp                                              */
/*                                                                           */
/*  Modification History:                                                    */
/*                                                                           */
/*    Date       OPR      Who                       Reason                   */
/*  --------   -------    ---   -------------------------------------------  */
/*  01/20/97               sl   Original                                     */
/*  03/24/97               sl   add select @rec ...                          */
/*                                                                           */
/*****************************************************************************/

create procedure delete_delivery @rec int output as
begin transaction

  select @rec = 0

  declare @number int

  select @number = value from delivery_number
  print "Delivery number =  %1! ", @number
  
  delete from opus_log where delivery_number = @number
  select @rec = @rec + @@rowcount 

  delete from foc_row where delivery_number = @number
  select @rec = @rec + @@rowcount 

  delete from foc_file where delivery_number = @number
  select @rec = @rec + @@rowcount 

  update foc_file 
    set reject_flag = "N", reject_delivery_number=null,
        reject_by_file_name = null, reject_by_expansion_number = null
        where reject_delivery_number = @number

  delete from hsp_row where delivery_number = @number
  select @rec = @rec + @@rowcount 

  delete from hsp_file where delivery_number = @number
  select @rec = @rec + @@rowcount 

  update hsp_file 
    set reject_flag = "N", reject_delivery_number=null,
        reject_by_file_name = null, reject_by_expansion_number = null
        where reject_delivery_number = @number

  delete from fos_row where delivery_number = @number
  select @rec = @rec + @@rowcount 

  delete from fos_file where delivery_number = @number
  select @rec = @rec + @@rowcount 

  update fos_file 
    set reject_flag = "N", reject_delivery_number=null,
        reject_by_file_name = null, reject_by_expansion_number = null
        where reject_delivery_number = @number

  delete from hrs_row where delivery_number = @number
  select @rec = @rec + @@rowcount 

  delete from hrs_file where delivery_number = @number
  select @rec = @rec + @@rowcount 

  update hrs_file 
    set reject_flag = "N", reject_delivery_number=null,
        reject_by_file_name = null, reject_by_expansion_number = null
        where reject_delivery_number = @number

  delete from wfpc2_row where delivery_number = @number
  select @rec = @rec + @@rowcount 

  delete from wfpc2_file where delivery_number = @number
  select @rec = @rec + @@rowcount 

  update wfpc2_file 
    set reject_flag = "N", reject_delivery_number=null,
        reject_by_file_name = null, reject_by_expansion_number = null
        where reject_delivery_number = @number

  delete from wfpc_row where delivery_number = @number
  select @rec = @rec + @@rowcount 

  delete from wfpc_file where delivery_number = @number
  select @rec = @rec + @@rowcount 

  update wfpc_file 
    set reject_flag = "N", reject_delivery_number=null,
        reject_by_file_name = null, reject_by_expansion_number = null
        where reject_delivery_number = @number

  delete from stis_row where delivery_number = @number
  select @rec = @rec + @@rowcount 

  delete from stis_file where delivery_number = @number
  select @rec = @rec + @@rowcount 

  update stis_file 
    set reject_flag = "N", reject_delivery_number=null,
        reject_by_file_name = null, reject_by_expansion_number = null
        where reject_delivery_number = @number

  delete from nic_row where delivery_number = @number
  select @rec = @rec + @@rowcount 

  delete from nic_file where delivery_number = @number
  select @rec = @rec + @@rowcount 

  update nic_file 
    set reject_flag = "N", reject_delivery_number=null,
        reject_by_file_name = null, reject_by_expansion_number = null
        where reject_delivery_number = @number

  delete from synphot_row where delivery_number = @number
  select @rec = @rec + @@rowcount 

  delete from synphot_file where delivery_number = @number
  select @rec = @rec + @@rowcount 

  update synphot_file 
    set reject_flag = "N", reject_delivery_number=null,
        reject_by_file_name = null, reject_by_expansion_number = null
        where reject_delivery_number = @number

  delete from multi_row where delivery_number = @number
  select @rec = @rec + @@rowcount 

  delete from multi_file where delivery_number = @number
  select @rec = @rec + @@rowcount 

  update multi_file 
    set reject_flag = "N", reject_delivery_number=null,
        reject_by_file_name = null, reject_by_expansion_number = null
        where reject_delivery_number = @number

  print "Delivery number %1! has been deleted from the database", @number

commit transaction
go

