/*****************************************************************************/
/*                                                                           */
/*  File:    delivery_number.sql                                             */
/*                                                                           */
/*  Note:    "delivery_number" is a one row table. It reflects the last      */
/*           CDBS delivery_number, if user attempt to insert more records,   */
/*           a trigger(delivery_number_count) will be fired and the query    */
/*           will be abort.                                                  */
/*                                                                           */
/*  Modification History:                                                    */
/*                                                                           */
/*    Date       OPR      Who                       Reason                   */
/*  --------   -------    ---   -------------------------------------------  */
/*  07/08/96               sk   Original                                     */
/*                                                                           */
/*****************************************************************************/

create table delivery_number (value int not null)
go
insert into delivery_number values (0)
go
