/*****************************************************************************/
/*                                                                           */
/*  File:    equiv_class_value.sql                                           */
/*                                                                           */
/*  Note:    "equiv_class_value" is a one row table. if user attempts to     */
/*           insert more records, a trigger(equiv_class_value_count) will    */
/*           be fired and the query will be abort.                           */
/*                                                                           */
/*  Modification History:                                                    */
/*                                                                           */
/*    Date       OPR      Who                       Reason                   */
/*  --------   -------    ---   -------------------------------------------  */
/*  07/08/96               sk   Original                                     */
/*                                                                           */
/*****************************************************************************/


create table equiv_class_value (value int not null)
go

insert into equiv_class_value values (0)
go

