/*****************************************************************************/
/*                                                                           */
/*  File name :   new_cal_files.sql                                          */
/*                                                                           */
/*  Description : table to hold the filenames of newly archived cal files    */
/*                that are to be processed by best_ref                       */
/*                                                                           */
/*  Modification History:                                                    */
/*                                                                           */
/*    Date       OPR      Who                       Reason                   */
/*  --------   -------    ---   -------------------------------------------  */
/*  01/21/97               lh   Original                                     */
/*  03/12/97		   lh	Added timestamp field.                       */
/*                                                                           */
/*****************************************************************************/
  
create table new_cal_files (
   instrument       varchar(10) not null,
   file_name        varchar(50) not null,
   expansion_number int         not null,
   timestmp         datetime    null)
go
