/*****************************************************************************/
/*                                                                           */
/*  File name :   new_cal_files_history.sql                                  */
/*                                                                           */
/*  Description : table to hold the filenames of newly archived cal files    */
/*                that have been processed by best_ref                       */
/*                                                                           */
/*  Modification History:                                                    */
/*                                                                           */
/*    Date       OPR      Who                       Reason                   */
/*  --------   -------    ---   -------------------------------------------  */
/*  02/25/97               lh   Original                                     */
/*  03/12/97		   lh   Added timestamp fields.                      */
/*                                                                           */
/*****************************************************************************/
  
create table new_cal_files_history (
   instrument       varchar(10) not null,
   file_name        varchar(50) not null,
   expansion_number int         not null,
   tdate            datetime    not null,
   timestmp         datetime    null)
go
