/*****************************************************************************/
/*                                                                           */
/*  File:    opus_fields.sql                                                 */
/*                                                                           */
/*  Note:    this is a mapping table, it's list all the cdbs table.field     */
/*           and corresponding opus table.field. It is also a read only      */
/*           table, user can only select data from the table                 */
/*           the data were loaded from opus_fields_data.sql file             */
/*                                                                           */
/*  Modification History:                                                    */
/*                                                                           */
/*    Date       OPR      Who                       Reason                   */
/*  --------   -------    ---   -------------------------------------------  */
/*  07/08/96               sk   Original                                     */
/*                                                                           */
/*****************************************************************************/
 
create table opus_fields ( 
   cdbs_field      varchar(50) not null,
   cdbs_table      varchar(50) not null,
   cdbs_mode       char(1)     not null,
   opus_field      varchar(50) not null,
   opus_table      varchar(50) not null)
go
