/*****************************************************************************/
/*                                                                           */
/*  File:    relation_info.sql                                               */
/*                                                                           */
/*  Note:    this is a reference table, user can only read the table         */
/*           ie. select data from the table                                  */
/*           the data were loaded from relation_info_data.sql file, if       */
/*           any data has been modified, file_extensions_data.sql should     */
/*           also be modified.                                               */
/*                                                                           */
/*  Modification History:                                                    */
/*                                                                           */
/*    Date       OPR      Who                       Reason                   */
/*  --------   -------    ---   -------------------------------------------  */
/*  07/08/96               sk   Original                                     */
/*                                                                           */
/*****************************************************************************/

create table relation_info ( 
   reference_file_type varchar(50) not null,
   instrument          varchar(50) not null,
   type                char(1)     not null,
   opus_table          varchar(50) not null)
go
