/*****************************************************************************/
/*                                                                           */
/*  File        : software.sql                                               */
/*                                                                           */
/*  Description : the table tracking serious changes to calibration software */
/*                                                                           */
/*  Modification History:                                                    */
/*                                                                           */
/*    Date       OPR      Who                       Reason                   */
/*  --------   -------    ---   -------------------------------------------  */
/*  07/08/96               sk   Original                                     */
/*                                                                           */
/*****************************************************************************/
 
create table software (
   instrument               varchar(50) not null,
   public_availability_date datetime    null,
   opus_installation_date   datetime    not null,
   public_version           float       null,       /* numeric(10,6) */
   opus_version             float       not null,   /* numeric(10,6) */
   comment                  text        not null)
go
