#include "config.h"
#include "cdbslib.h"

/* SAFECAT -- String concatenation with length checking
 *
 * o: out	output string
 * i: in	input string concatenated to output
 * i: maxch	max length of output string
 */

void safecat (char * out, const char * in, int maxch)
{
    int		ic, jc;

    for (ic = 0; out[ic] != EOS; ic ++)
	;

    for (jc = 0; in[jc] != EOS && ic < maxch; ic ++, jc ++)
	out[ic] = in[jc];

    out[ic] = EOS;
}
