#! /bin/sh
export CDBS_DB CDBS_SERVER
echo "starting cdbs_check " > $1
echo "database " ${CDBS_DB?"CDBS_ERROR: CDBS_DB is undefined"} >> $1
echo "server " ${CDBS_SERVER?"CDBS_ERROR: CDBS_SERVER is undefined"} >> $1
date >> $1
echo "" >> $1
if test $# -lt 2
then
 in_delivery=`in_delivery.s | grep "within a delivery" | wc -l` 
 dn=`delivery_number.s | awk -f awk.dn`
 if test $in_delivery -eq 0
 then
  echo "No delivery in progress. Last delivery number $dn." >> $1
  echo "No delivery in progress. Last delivery number $dn."
  dnu=`expr $dn + 1`
 else
  echo "Delivery in progress. Current delivery number $dn." >> $1
  echo "delivery $dn in progress"
  dnu=$dn
 fi
else
  dn=$2
  echo "Setting effective current delivery number to $dn"
  echo "No delivery in progress. Last delivery number $dn." >> $1
fi
echo "" >> $1
echo "uni check" >> $1
echo "uni check" 
uni.s $dnu | fgrep "-" >> $1
echo "" >> $1
echo "synphot compname check" >> $1
echo "synphot compname check" 
syn_comp.s $dnu | fgrep "-" >> $1
echo "" >> $1
echo "expansion number check" >> $1
echo "expansion number check" 
expansion_number1.s | fgrep "-" >> $1
echo "" >> $1
echo "archive date check" >> $1
echo "archive date check" 
archive_date1.s $dnu | fgrep "-" >> $1
echo "" >> $1
echo "general availability date check" >> $1
echo "general availability date check" 
ga_date1.s $dnu | fgrep "-" >> $1
echo "" >> $1
echo "opus load date check 1" >> $1
echo "opus load date check 1" 
opus_load_date1.s | fgrep "-" >> $1
echo "" >> $1
echo "opus load date check 2" >> $1
echo "opus load date check 2" 
opus_load_date2.s $dnu | fgrep "-" >> $1
echo "" >> $1
echo "row check" >> $1
echo "row check"
row_check1.s | fgrep "-" >> $1
echo "" >> $1
echo "" >> $1
echo "file check" >> $1
echo "file check"
file_check1.s | fgrep "-" >> $1
echo "" >> $1
echo "reject check 1" >> $1
echo "reject check 1" 
reject1.s | fgrep "-" >> $1
echo "" >> $1
echo "reject check 2" >> $1
echo "reject check 2" 
reject2.s | fgrep "-" >> $1
echo "" >> $1
case $2 in
 -f) echo "full reject check 3" >> $1; \
     echo "full reject check 3"; \
     reject3.s >> $1 |  fgrep "-" ; \
     echo ""; \
     echo "full delivery number check" >> $1; \
     echo "full delivery number check"; \
     dn.s |  fgrep "-" >> $1;;
 -c|*) echo "current reject check 3" >> $1; \
       echo "current reject check 3"; \
     echo "delivery number $dn" >> $1; \
     reject3_curr.s $dn |  fgrep "-" >> $1; \
     echo "" >> $1; \
     echo "current delivery number check" >> $1; \
     echo "current delivery number check"; \
     dn_curr.s $dn |  fgrep "-" >> $1;;
 esac
echo "" >> $1
echo "reject check 4" >> $1
echo "reject check 4"
echo "dellivery number $dn" >> $1
reject4.s $dn |  fgrep "-" >> $1
echo "" >> $1
echo "cdbs_check completed" >> $1
date >> $1

