#! /bin/sh
isql -S$CDBS_SERVER << EOF 
use $CDBS_DB
go

/* Check that there is 1 file level record */
/* for each row level record.              */

if exists (select * from $1_row r
              where 
              not exists 
              (select * from $1_file f
               where r.file_name = f.file_name and
                     r.expansion_number = f.expansion_number) )
begin
 print "-> CDBS ERROR:"
 print "->  No file-level record for a $1 row-level record "
 print "->      file name                                          delivery_number"
 select distinct "->", file_name, delivery_number from $1_row r
              where 
              not exists 
              (select * from $1_file f
               where r.file_name = f.file_name and
                  r.expansion_number = f.expansion_number)
 print "->"
end
go
