#! /bin/sh
isql -S$CDBS_SERVER << EOF 
use $CDBS_DB
go

/* Check that the last delivery, if a synphot delivery, has */
/* no new compnames. */

if  exists (select * from synphot_row where delivery_number = $1
            and compname not in (select compname from synphot_row
            where delivery_number < $1) )
begin
 print "-> CDBS ERROR:"
 print "->  compname not used in previous deliveries: Possible Error."
 print "->           file name            compname"
 select "->"+" "+file_name+"     "+ compname from synphot_row 
            where delivery_number = $1
            and compname not in (select compname from synphot_row
            where delivery_number < $1) 
 print "->"
end
go
