#
isql -S CATLOG << qq
use cdbs_ops
go

begin transaction
  declare @rec int
  select @rec = 0

  declare @number int

  select @number = $1
  print "Delivery number =  %1! ", @number
  
  delete from opus_log where delivery_number = @number
  print "Records deleted in opus_log: %1!", @@rowcount

  update $2_file set general_availability_date = null
   where delivery_number = @number
    and general_availability_date is not null
  print "ga_dates updated in $2_file: %1!", @@rowcount

  delete from $2_row where delivery_number = @number
  print "Records deleted in $2_file: %1!", @@rowcount

  delete from $2_file where delivery_number = @number
  print "Records deleted in $2_row: %1!", @@rowcount

  update $2_file 
    set reject_flag = "N", reject_delivery_number=null,
        reject_by_file_name = null, reject_by_expansion_number = null
        where reject_delivery_number = @number
  print "Reject flags reset in $2_file: %1!", @@rowcount

  print "Delivery number %1! for $2 has been deleted from the database", @number

commit transaction
go

qq

