#include <stdio.h>
#include "getobsmode.h"

#define  SZ_STRING	127

int	getobsmode (char *, int *, char *);

/* MAIN -- Test driver for the getobsmode function 
 *
 * i: argc	number of command line arguments
 * i: argv	array of command line arguments
 */

int main (int argc, char **argv)
{
    FILE	*fp;
    int		iarg, index;
    char	obsmode[SZ_STRING+1], rootname[SZ_STRING+1];

    for (iarg = 1; iarg < argc; iarg ++) {
	if (argv[iarg][0] != '@') {
	    printf ("%s", argv[iarg]);

	    index = 1;
	    while (getobsmode (argv[iarg], &index, obsmode))
		printf ("\t%s", obsmode);

	    printf ("\n");

	} else {
	    fp = fopen (&argv[iarg][1], "r");
	    if (fp == NULL)
		continue;

	    while (fgets (rootname, SZ_STRING, fp)) {
		trim_qryfield (rootname);
		if (rootname[0] != '\0') {
		    printf ("%s", rootname);
		    index = 1;

		    while (getobsmode (rootname, &index, obsmode))
			printf ("\t%s", obsmode);
		    printf ("\n");
		}
	    }

	    fclose (fp);
	}
    }

    return (0);
}
