/* READROOT.H -- Info needed to use the root iterator */

#ifndef READROOT_H
#define READROOT_H

#include "config.h"

#define  IN_FILE	1
#define  IN_STRING	2
#define  IS_DELIM(x)	((x) <= ' ' || (x) == ',')

typedef struct {
    int	type;
    union {
	FILE	*file;
	char	*str;
    } ptr;
} rooter;

extern rooter * start_read_root (char *);
extern char *	read_root (rooter *);
extern void	end_root (rooter *);

#endif
