#include <string.h>
#include "cdbslib.h"
#include "mkload.h"

/* MKLOAD_DATE -- Convert a date in arbitrary format to Sybase format
 *
 * i: indate	input date
 * o: outdate	output date
 * i: maxch	max length of output date
 */

void mkload_date (char *indate, char *outdate, int maxch)
{
    double	mjd;

    if (strchr (indate, '/') != NULL) {
	mjd = get_slash_date (indate);

    } else if (strchr (indate, ':') != NULL) {
	mjd = get_cdbs_date (indate);

    } else {
	mjd = -1.0;
    }

    if (mjd < 0.0) {
	safecopy (outdate, indate, maxch);
    } else {
	put_sybase_date (mjd, outdate, maxch);
    }
}
