#! /bin/sh
DSQUERY=$CDBS_SERVER
isql -S$CDBS_SERVER << EOF 
use $1
go

/* Check that general_availability_date is nonnull in this delivery */

if exists (select * from hrs_file where general_availability_date is null
     and delivery_number = $2 )
begin
 print " CDBS ERROR:"
 print "  general_availability_date is not set in hrs delivery $2"
 select distinct file_name from hrs_file where general_availability_date is null
     and delivery_number = $2 
 print " "
end
go

if exists (select * from foc_file where general_availability_date is null
     and delivery_number = $2 )
begin
 print " CDBS ERROR:"
 print "  general_availability_date is not set in foc delivery $2"
 select distinct  file_name  from foc_file where general_availability_date is null
     and delivery_number = $2 
 print " "
end
go

if exists (select * from hsp_file where general_availability_date is null
     and delivery_number = $2 )
begin
 print " CDBS ERROR:"
 print "  general_availability_date is not set in hsp delivery $2"
 select distinct file_name  from hsp_file where general_availability_date is null
     and delivery_number = $2 
 print " "
end
go

if exists (select * from fos_file where general_availability_date is null
     and delivery_number = $2 )
begin
 print " CDBS ERROR:"
 print "  general_availability_date is not set in fos delivery $2"
 select distinct  "", file_name  from fos_file where general_availability_date is null
     and delivery_number = $2 
 print " "
end
go

if exists (select * from wfpc2_file where general_availability_date is null
     and delivery_number = $2 )
begin
 print " CDBS ERROR:"
 print "  general_availability_date is not set in wfpc2 delivery $2"
 select distinct file_name  from wfpc2_file where general_availability_date is null
     and delivery_number = $2 
 print " "
end
go

if exists (select * from wfpc_file where general_availability_date is null
     and delivery_number = $2 )
begin
 print " CDBS ERROR:"
 print "  general_availability_date is not set in wfpc delivery $2"
 select distinct file_name  from wfpc_file where general_availability_date is null
     and delivery_number = $2 
 print " "
end
go

if exists (select * from stis_file where general_availability_date is null
     and delivery_number = $2 )
begin
 print " CDBS ERROR:"
 print "  general_availability_date is not set in stis delivery $2"
 select distinct file_name  from stis_file where general_availability_date is null
     and delivery_number = $2 
 print " "
end
go

if exists (select * from nic_file where general_availability_date is null
     and delivery_number = $2 )
begin
 print " CDBS ERROR:"
 print "  general_availability_date is not set in nic delivery $2"
 select distinct  "", file_name  from nic_file where general_availability_date is null
     and delivery_number = $2 
 print " "
end
go

if exists (select * from synphot_file where general_availability_date is null
     and delivery_number = $2 )
begin
 print " CDBS ERROR:"
 print "  general_availability_date is not set in synphot delivery $2"
 select distinct file_name  from synphot_file where general_availability_date is null
     and delivery_number = $2 
 print " "
end
go

if exists (select * from multi_file where general_availability_date is null
     and delivery_number = $2 )
begin
 print " CDBS ERROR:"
 print "  general_availability_date is not set in multi delivery $2"
 select distinct file_name  from multi_file where general_availability_date is null
     and delivery_number = $2 
 print " "
end
go
