begin tran

/* store current time to local variable @load_date for use by load_time  */
/* fields in OPUS, the format is "dd-MMM-yyyy hh:mm:ss" */
declare @load_date    varchar(20)
declare @dbtime       varchar(20)
declare @current_time datetime
select @current_time = getdate()
select @dbtime=convert(char(11), @current_time, 106)+' '+
       convert(char(8), @current_time, 108)
select @load_date = substring(@dbtime, 1, 2) + '-' + substring(@dbtime, 4, 1) +
       upper(substring(@dbtime, 5, 1)) + upper(substring(@dbtime, 6, 1)) +
       '-' + substring(@dbtime, 8, 13)


print "LOAD_DATE_%1!= %2!", "USED", @current_time
print "DELIVERY_NUMBER_%1!= %2!", "USED", "28"

insert ccao_stis_ref (detector, data_file, filetype, use_after, load_time) 
values ('CCD', 'H191314AO_SDC.FITS', 'SDC', '1996.275:00:00:00', @load_date)

insert ccao_stis_ref (detector, data_file, filetype, use_after, load_time) 
values ('FUV-MAMA', 'H191314BO_SDC.FITS', 'SDC', '1996.275:00:00:00', 
@load_date)

insert ccao_stis_ref (detector, data_file, filetype, use_after, load_time) 
values ('NUV-MAMA', 'H191314DO_SDC.FITS', 'SDC', '1996.275:00:00:00', 
@load_date)

print "OPUS_MODS_%1!", "OK"

commit tran
go
