#include <stdlib.h>
#include "config.h"
#include "cdbslib.h"
#include "query.h"

/* ALIAS_TABNAME -- Create an array of single letter table aliases
 *
 * i: tablist	array of table names
 */

char ** alias_tabname (char **tablist)
{
    char	name[2];
    char	**alias;
    int		itab, ntab;

    /* Count number of tables in list */

    for (ntab = 0; tablist[ntab][0] != EOS; ntab ++)
        ;

    /* Set each table alias to a single letter in alphabetical order */

    name[0] = 'a';
    name[1] = EOS;

    alias = (char **) malloc ((ntab + 1) * sizeof (char *));

    for (itab = 0; itab < ntab; itab ++) {
        alias[itab] = strclone (name);
	name[0] ++;
    }

    alias[ntab] = strclone ("");
    return (alias);
}
