#include <ctype.h>
#include "config.h"

/* STR_TO_SQL -- Convert a string to the sql database format 
 *
 * i: likeflag		is string an argument to the like operator?
 * u: str		string to be converted
 */

void str_to_sql (int likeflag, char *str)
{
    int		ic;

    for (ic = 0; str[ic] != EOS; ic ++) {
      /* Convert standard wildcard characters to their SQL equivalents */

	if (likeflag == YES) {
	    if (str[ic] == '*') {
	        str[ic] = '%';
	    } else if (str[ic] == '?') {
	        str[ic] = '_';
	    }
	}

	/* Convert string to upper case */

        str[ic] = toupper (str[ic]);
    }
}
