/* UNIQNAME.H -- Function declarations for the uniqname task */

#ifndef UNIQNAME_H
#define UNIQNAME_H

#include "reffile.h"
#include "loadfile.h"
#include "alist.h"

extern void	buildname (char *, char *, char *, char *, int);
extern int	clean_name (char *, char *, int);
extern int	getasctype (table *, reffile *, char *, int);
extern int	getlistname (alist *, char *, char *, int);
extern int	getsynroot (reffile *, char *, char *, int);
extern int	getuniqname (reffile *, char *, char *, char *,
			     alist *, char *, int);
extern int	is_datakeywd (char *);
extern int	is_rootkeywd (char *);
extern void	makeid (char *);
extern void	newinstname (char *, char *, int, char *, int);
extern void	oldinstname (char *, int, char *, int);
extern int	renamable (alist *, reffile *);
extern int	setnames (reffile *, alist *, char *);
extern void	thruname (reffile *, char *, char *, char *, int);
extern int	uniqname (table *, char *, alist *);

#endif
