/*****************************************************************************/
/*                                                                           */
/*  File:    update_ga_date.sp                                               */
/*                                                                           */
/*  Modification History:                                                    */
/*                                                                           */
/*    Date       OPR      Who                       Reason                   */
/*  --------   -------    ---   -------------------------------------------  */
/*  10/18/96               sl   Original                                     */
/*                                                                           */
/*****************************************************************************/


create procedure update_ga_date 
   @delivery_number int = null
as

begin transaction

if (@delivery_number is null)
    select @delivery_number = value from delivery_number

declare @ga_date datetime
select @ga_date = getdate()

update hrs_file set general_availability_date = @ga_date
 where delivery_number = @delivery_number
update foc_file set general_availability_date = @ga_date
 where delivery_number = @delivery_number
update fos_file set general_availability_date = @ga_date
 where delivery_number = @delivery_number
update wfpc_file set general_availability_date = @ga_date
 where delivery_number = @delivery_number
update wfpc2_file set general_availability_date = @ga_date
 where delivery_number = @delivery_number    
update hsp_file set general_availability_date = @ga_date
 where delivery_number = @delivery_number
update nic_file set general_availability_date = @ga_date
 where delivery_number = @delivery_number
update stis_file set general_availability_date = @ga_date
 where delivery_number = @delivery_number
update synphot_file set general_availability_date = @ga_date
 where delivery_number = @delivery_number
update multi_file set general_availability_date = @ga_date
 where delivery_number = @delivery_number
commit transaction
go

