#include "ostdb.h"
#include "config.h"
#include "error.h"
#include "cdbslib.h"

#define  SZ_ERRORBUF	2003

/* DB_ERROR -- Error interface between cdbs error tasks and stdb 
 *
 */

long db_error (void) 
{
    char 	*stdb_msg;
    char	cdbs_msg[SZ_ERRORBUF+1];

    cdbs_msg[0] = EOS;
    while (stdb_get_msg (&stdb_msg) == STDB_CONTINUE) {
	safecat (cdbs_msg, stdb_msg, SZ_ERRORBUF);
	safecat (cdbs_msg, "\n", SZ_ERRORBUF);
    }

    cdbs_message (ERROR_MSG, cdbs_msg);
    return (ERR);
}
