#include <stdlib.h>
#include "config.h"
#include "cdbslib.h"

/* IS_NUMBER -- Return YES if string is a number
 *
 * i: str	string to be tested
 */

int is_number (char *str)
{
    int		ic, status;
    double	num;
    char	*rest;

    /* Rest returns a pointer to the portion of the string 
     * that could not be converted into a number
     */

    num = strtod (str, &rest);

    if (rest == str) {
	/* No conversion performed */
	status = NO;

    } else {
	/* Check to see if rest is entirely blank */

	ic = first_char (rest);
	if (rest[ic] == EOS) {
	    status = YES;
	} else {
	    status = NO;
	}
    }

    return (status);
}

