#include "config.h"
#include "error.h"
#include "cdbslib.h"

/* NOSPACES -- Remove blanks from a string
 *
 * u: str	string to be modified
 */

char *nospaces (char * str)
{
    static char	buffer[SZ_STRING+1];
    int		ic, jc;

    /* Copy characters. Skip blanks */

    jc = 0;
    for (ic = 0; str[ic] != EOS; ic ++) {
        if (str[ic] > ' ') {
	    if (jc > SZ_STRING) {
	        cdbs_error (TOOLONG, "%s", str);
	    } else {
	        buffer[jc++] = str[ic];
	    }
	}
    }

    buffer[jc] = EOS;
    return (buffer);
}
