#include <string.h>
#include "config.h"
#include "cdbslib.h"
#include "getref.h"

/* CLEAN_DATA -- Clean strings returned from the database
 *
 * u: data	string to be cleaned
 */

void clean_data (char *data) 
{
    /* Remove superfluous blanks */
    strclean (data); 

    /* Convert to lower case */
    strlcase (data); 

    /* Convert n/a to null string */
    if (strcmp (data, "n/a") == 0) 
	data[0] = EOS;

}
