/* MKLOAD.H -- Function declarations and constants for the mkload task */

#ifndef MKLOAD_H
#define MKLOAD_H

#include "alist.h"
#include "loadfile.h"
#include "reffile.h"

extern void	compfile_qry (char *, char *, char *, char *, 
			      char *, char *, int);
extern void	mkload (table *, char *);
extern void	mkload_body (table *, reffile *, char *, char *);
extern void	mkload_compfile (table *, reffile *, char *, char *);
extern void	mkload_date (char *, char *, int);
extern void	mkload_header (table *, reffile *, char *, char *);
extern void	mkload_name (char *, char *, int);
extern void	obsmode_qry (char *, char *, textbuf *);
extern void	read_header (reffile *, textbuf *, textbuf *);
extern void	read_obsmode (table *, alist *);
extern void	set_obsquery (alist *, char *, char *, int);

#endif
