#include "config.h"
#include "cdbslib.h"

/* IS_NEGATED -- Determine if column list starts with negation character
 * 
 * i: clist	comma separated list of column names
 */

int is_negated (char *clist) 
{
    int		ic, negate;

    if (clist[0] != '~') {
        negate = NO;

    } else {
        negate = YES;

        /* Remove negation character from input string */

	for (ic = 1; clist[ic] != EOS; ic ++)
	    clist[ic-1] = clist[ic];

	clist[ic-1] = EOS;
    }

    return (negate);
}
