#include <ctype.h>
#include "config.h"

/* CLEAN_NAME -- Replace non-alphanumeric chars in a string with underscores
 *
 * i: oldname	original name
 * o: newname	cleaned name
 * i: maxch	max length of cleaned name
 */

void clean_name (char *oldname, char *newname, int maxch)
{
    int		ic;

    for (ic = 0; oldname[ic] != EOS && ic < maxch; ic ++) {
	if (isalnum (oldname[ic])) {
	    newname[ic] = oldname[ic];
	} else {
	    newname[ic] = '_';
	}
    }

    newname[ic] = EOS;
}
