#include <string.h>
#include "config.h"

/* IS_ROOTKEYWD -- Determine if a keyword names a rootname 
 *
 * i: keyword
 */

int is_rootkeywd (char *keyword)
{
    int		status;

    /* Logically enough, we assume a keyword names a rootname 
     * if it is named "ROOTNAME"
     */

    if (strcmp (keyword, "ROOTNAME") == 0) {
	status = YES;
    } else {
	status = NO;
    }

    return (status);
}
