#include "cdbslib.h"
#include "loadfile.h"
#include "config.h"
#include "alist.h"
#include "uniqname.h"

/* TASK -- Main routine for the uniqname task */

void task (int argc, char **argv)
{
    int		iarg;
    table	*look;
    alist	*newlist;
    char	catname[] = CATALOG_NAME;
    char	catcols[] = CATALOG_COLS;

    newlist = create_alist ();
    look = open_lookup (catname, catcols);

    for (iarg = 1; iarg < argc; iarg ++) {
        if (is_datafile (argv[iarg]) == NO)
	    uniqname (look, argv[iarg], newlist);
    }

    close_lookup (look);
    free_alist (newlist);
}
 
