create procedure update_archive_date @file_name varchar(60), 
       @archive_date datetime, @rec int output as

select @rec = 0

if exists (select * from hrs_file 
      where file_name like @file_name  + '%' and archive_date is not null)
   print "CDBS WARNING: archive_date is not null"
update hrs_file set archive_date = @archive_date
 where file_name like @file_name  + '%'
select @rec = @rec + @@rowcount 

if exists (select * from foc_file 
      where file_name like @file_name  + '%' and archive_date is not null)
   print "CDBS WARNING: archive_date is not null"
update foc_file set archive_date = @archive_date
 where file_name like @file_name  + '%'
select @rec = @rec + @@rowcount 

if exists (select * from fos_file 
      where file_name like @file_name  + '%' and archive_date is not null)
   print "CDBS WARNING: archive_date is not null"
update fos_file set archive_date = @archive_date
 where file_name like @file_name  + '%'
select @rec = @rec + @@rowcount 

if exists (select * from wfpc_file 
      where file_name like @file_name  + '%' and archive_date is not null)
   print "CDBS WARNING: archive_date is not null"
update wfpc_file set archive_date = @archive_date
 where file_name like @file_name  + '%'
select @rec = @rec + @@rowcount

if exists (select * from wfpc2_file 
      where file_name like @file_name  + '%' and archive_date is not null)
   print "CDBS WARNING: archive_date is not null"
update wfpc2_file set archive_date = @archive_date
 where file_name like @file_name  + '%'
select @rec = @rec + @@rowcount

if exists (select * from hsp_file 
      where file_name like @file_name  + '%' and archive_date is not null)
   print "CDBS WARNING: archive_date is not null"
update hsp_file set archive_date = @archive_date
 where file_name like @file_name  + '%'
select @rec = @rec + @@rowcount

if exists (select * from nic_file 
      where file_name like @file_name  + '%' and archive_date is not null)
   print "CDBS WARNING: archive_date is not null"
update nic_file set archive_date = @archive_date
 where file_name like @file_name  + '%'
select @rec = @rec + @@rowcount

if exists (select * from stis_file 
      where file_name like @file_name  + '%' and archive_date is not null)
   print "CDBS WARNING: archive_date is not null"
update stis_file set archive_date = @archive_date
 where file_name like @file_name  + '%'
select @rec = @rec + @@rowcount

if exists (select * from synphot_file 
      where file_name like @file_name  + '%' and archive_date is not null)
   print "CDBS WARNING: archive_date is not null"
update synphot_file set archive_date = @archive_date
 where file_name like @file_name  + '%'
select @rec = @rec + @@rowcount

if exists (select * from multi_file 
      where file_name like @file_name  + '%' and archive_date is not null)
   print "CDBS WARNING: archive_date is not null"
update multi_file set archive_date = @archive_date
 where file_name like @file_name  + '%'
select @rec = @rec + @@rowcount

print " %1! rows modified", @rec
go

