#include "config.h"
#include "cdbslib.h"

/* BASENAME -- Return the filename minus any directory 
 *
 * i: file	the filename
 */

char *basename (const char *file)
{
    static char		base[SZ_FNAME+1];
    char		dir[SZ_FNAME+1], root[SZ_FNAME+1], ext[SZ_FNAME+1];

    breakfname (file, dir, root, ext, SZ_FNAME);

    safecopy (base, root, SZ_FNAME);
    safecat (base, ext, SZ_FNAME);

    return (base);
}
