#include <stdio.h>
#include <stdlib.h>
#include "config.h"
#include "cdbslib.h"
#define  SZ_BUF		3999

/* FORM_INPUT -- Parse CGI form input and save in options list
 *
 */

void form_input (void)
{
    int		len, nc, html;
    char	*method, *input, *len_input;
    char	buf[SZ_BUF+1];

    method = getenv ("REQUEST_METHOD");
    if (method == NULL) {
	html = NO;

    } else if (strcmp (method, "GET") == 0) {
	/* Get form data from environment variable */

	html = YES;
	input = getenv ("QUERY_STRING");
	if (input == NULL) {
	    buf[0] == EOS;
	} else {
	    safecopy (buf, input, SZ_BUF);
	}

	parse_cgi (buf);

    } else if (strcmp (method, "POST") == 0) {
	/* Get form data from standard input */

	html = YES;
	len_input = getenv ("CONTENT_LENGTH");

	if (len_input == NULL) {
	    buf[0] = EOS;

	} else {
	    len = atoi (len_input);
	    if (len > SZ_BUF)
	        len = SZ_BUF;

	    nc = fread (buf, 1, len, stdin);
	    buf[nc] = EOS;
	    parse_cgi (buf);
	}

    } else {
	html = NO;
    }

    /* Set HTML parameter to indicate if input came from a CGI form */

    if (html == NO) {
	def_option ("HTML=no");
    } else {
	def_option ("HTML=yes");
    }
}
