#include "config.h"
#include "cdbslib.h"

/* IS_CONTINUED -- Return yes if line ends in continuation char
 *
 * u: line	line to check
 */

int is_continued (char * line)
{
    int		ic, jc, status;

    /* Look for trailing backslash */

    jc = -1;
    for (ic = 0; line[ic] != EOS; ic ++) {
	if (line[ic] == '\\') {
	    jc = ic;
	} else if (line[ic] > ' ') {
	    jc = -1;
	}
    }

    /* Delete backslash if found */

    if (jc >= 0) {
	status = YES;
	line[jc] = EOS;
    } else {
	status = NO;
    }

    /* Return YES if backslash found */

    return (status);
}
