#! /bin/sh
isql -S$CDBS_SERVER << EOF 
use $CDBS_DB
go

/* Check that if reject flag is "Y", then */
/* reject_delivery_number is not null */
/* reject_by_file_name is not null */
/* reject_by_expansion_number is not null */


if exists (select * from $1_file where reject_flag = "Y"
     and (reject_delivery_number is null or
          reject_by_file_name is null or
          reject_by_expansion_number is null) )
begin
 print "-> CDBS ERROR:"
 print "->  reject information is null for a rejected $1 file"
 print "->      file name                                          delivery_number"
 select distinct "->", file_name, delivery_number from $1_file where reject_flag = "Y"
     and  (reject_delivery_number is null or
          reject_by_file_name is null or
          reject_by_expansion_number is null) 
 print "->"
end
go
