/* ALIST.H -- Stucture and function declarations for an associative list  */

#ifndef ALIST_H
#define ALIST_H

#include "loadfile.h"
#define  length_alist(list)	((list)->key.nline)

typedef struct {
textbuf	key;
textbuf	value;
} alist;

extern void	add_alist (alist *, char *, char *);
extern alist *	create_alist (void);
extern int	each_alist (alist *, int, char **, char **);
extern void	free_alist (alist *);
extern char *	find_alist (alist *, char *);
extern char *	match_alist (alist *, char *, int *);
extern char *	patmatch_alist (alist *, char *);
extern alist *	read_alist (char *);

#endif
