/* QUERY.H -- Constants and functions used by query */

#ifndef  QUERY_H
#define  QUERY_H

#include "loadfile.h"
#include "config.h"
#include "dbquery.h"

#define  PAGEWIDTH	78
#define  MAXTABLES	10
#define  MAXCOLUMNS	255
#define  SZ_LIST	2003

#define  abs(x)		(x >= 0 ? x : -(x))
#define  streq(x,y)	(strcmp(x,y) ? NO : YES)

extern char **	alias_tabname (char **);
extern void	cgi_encode (char *, char *, char *, int);
extern void	copy_token (char *, int *, char *, int);
extern int	count_zlist (char **);
extern void	free_zlist (char **);
extern void	ftn_to_sql (char **, char *, char *, int);
extern char **	get_collist (context *, char *, char *, char *);
extern int	is_negated (char *);
extern char *	joinargs (int, char **);
extern int	lead_char (char *);
extern void	match_dbcols (char **, char **, int, int, int *, char **);
extern table *	query (void);
extern void	qryout_html (char *, table *);
extern void	qryout_text (table *);
extern char *	qualname (char *, int);
extern void	read_collist (char *, char *, int);
extern char **	read_dbcols (context *, char *, char *);
extern void	settabcols (table *, char **);
extern char **	split_list (char *, int);
extern void	str_to_sql (int, char *);
extern char **	strip_collist (char **);

#endif
