#include "config.h"
#include "loadfile.h"
#include "error.h"
#include "query.h"

/* SETTABCOLS -- Add columns to table corresponding to db columns
 *
 * i: tab	table descriptor
 * i: collist	array of column names
 */

void settabcols (table *tab, char **collist)
{
    int		icol;

    for (icol = 0; collist[icol][0] != EOS; icol ++) {
        if (add_tab_col (tab, collist[icol]) == BAD)
	    cdbs_error (NOADDCOL, "%s", collist[icol]);
    }
}
