/* QUERY.H -- Stucture and function declarations for database functions  */

#ifndef QUERY_H
#define QUERY_H

#include "config.h"
#include "reffile.h"
#include "alist.h"
#include "loadfile.h"

#define  CDBS_SERVER		"CATLOG"
#define  CDBS_DB		"cdbs_ops"
#define  CDBS_USER		"calread"
#define  CDBS_PASSWORD		"caliblook"

typedef struct {
int	connection;
char	server[SZ_STRING+1];
char	dbname[SZ_STRING+1];
} context;

extern void	compfile_query (alist *, char *, char *, int);
extern void	comptab_query (context *, int, char *, char *, table *);
extern void	free_query (context *);
extern context *init_query (void);
extern void	obsmode_query (char *, char *, textbuf *);

#endif
