#include <string.h>
#include "cdbslib.h"
#include "loadfile.h"
#include "error.h"

#define	 SZ_BUFFER		63

/* ENQUOTE -- Surround a string with single quotes and put in upper case
 *
 * i: str	string to be quoted
 */

char * enquote (char *str)
{
    static char	buffer[SZ_BUFFER+1];

    if (strlen (str) > SZ_BUFFER - 2)
	cdbs_error (TOOLONG, "enquote: %s", str);

    sprintf (buffer, "'%s'", str);
    strucase (buffer);
    return (buffer);
}
