#include "config.h"
#include "cdbslib.h"

/* SAFECOPY -- String copy that stops at declared length of output
 * 
 * o: out	output string
 * i: in	input string
 * i: len	length of output string
 */

void safecopy (char * out, const char * in, int len)
{
    int		ic;

    for (ic = 0; in[ic] != EOS && ic < len; ic ++)
	out[ic] = in[ic];

    out[ic] = EOS;
}
