#include "config.h"
#include "cdbslib.h"

/* UNQUOTE -- Remove quote marks from around string
 *
 * u: str	string to be processed
 */

void unquote (char *str)
{
    int		ic;
    char	quote;

    if (str[0] != '\'' && str[0] != '"')
      return;

    ic = 0;
    quote = str[0];

    do {
        ic ++;
        str[ic-1] = str[ic];
    } while (str[ic] != quote && str[ic] != EOS);

    str[ic-1] = EOS;
}
