#include "loadfile.h"
#include "expload.h"

/* COPY_HEADER -- Copy all header keywords from one table to another
 *
 * i: itab	table copied from
 * u: otab	table copied to
 */

void copy_header (table *itab, table *otab)
{
    int		ikey;
    char	*keyword, *value;

    for (ikey = 0; ikey < nkey_table(itab); ikey ++) {
        keyword = get_tab_keyname_bynum (itab, ikey);
	value = get_tab_keyval_bynum (itab, ikey);

	put_tab_key (otab, keyword, value);
    }
}
