%{
#include "parse.h"
#include "yyparse.h"

/* YYWRAP -- Stub routine needed by yylex */

int yywrap () 
{
    return (1);
}

/* YYLEX -- Lexical analyzer for rules file */

%}

%%

\n			xline ++;

#.*			/* comment: do nothing */

[ \t]+			/* whitespace: do nothing */

[\-\+\._a-zA-Z0-9]+ |
\'[^\']*\' |
\"[^\"]*\"		return (STRING);

=>			return (IMPLY);

;			return (END);

&&			return (AND);

"||"			return (OR);

=			return (EQUALS); 

.			return (BADTOK);

%%
