#include <string.h>
#include "getobsmode.h"

/* GETNICMODE -- Get the observation mode for a nicmos observation
 *
 * i: root	observation rootname
 * o: obsmode	observation mode
 */

void getnicmode (char *root, char *obsmode)
{
    int		camera;
    char	filter[SZ_FIELD+1];

    if (qrynicmode (root, &camera, filter) == NOMATCH) {
	obsmode[0] = '\0';
    } else {
	sprintf (obsmode, "NICMOS,%d,%s,DN", camera, filter);
    }
}

