#include <string.h>
#include "config.h"
#include "getref.h"

/* IS_REFFILE -- Return YES if string is a reference file name
 *
 * i: reffile	string to be checked
 */

int is_reffile (char *reffile) 
{
    int		nc;
    char	*ch, *pos, *ext;
    char	*icodes = ICODES;

    ch = NULL;
    pos = strrchr (reffile, '.');

    if (pos != NULL) {
	ext = pos + 1;

	if (strncmp (ext, "fit", 3) == 0)
	    pos = strrchr (reffile, '_');

	if (pos < ext)
	    ch = strchr (icodes, *(pos-1));
    }

    if (ch == NULL)
	return (NO);
    else
	return (YES);
}
