#include <ctype.h>
#include "loadfile.h"

#define  NONBLANK	0
#define  ISBLANK	1

/* STRCLEAN -- Remove superfluous blanks from a string
 *
 * u: str	string to be modified
 */

void strclean (char * str)
{
    char	*ip, *op;
    int		blank;

    /* Skip leading blanks */

    for (ip = str; *ip <= ' ' && *ip != '\0'; ip++)
	;

    /* Don't copy more than one consecutive blank */

    op = str;
    blank = NONBLANK;
    for ( ; *ip != '\0'; ip++) {
	if (*ip <= ' ') {
	    if (blank == NONBLANK) {
		blank = ISBLANK;
		*op ++ = ' ';
	    }

	} else {
	    blank = NONBLANK;
	    *op ++ = *ip;
	}
    }

    /* Trim trailing blank */

    if (blank == ISBLANK) {
	* -- op = '\0';
    } else {
	*op = '\0';
    }
}
