/* HASHTAB.H -- Hash table structure and function declarations */

#ifndef HASHTAB_H
#define HASHTAB_H

#include "loadfile.h"

typedef struct {
int		size;
unsigned int	*key;
int		*val;
} hashtab;

extern int	find_hash (hashtab *, textbuf *, table *, int);
extern void	free_hash (hashtab *);
extern hashtab *init_hash (int);

#endif
