#include "config.h"
#include "cdbslib.h"
#include "mkload.h"

/* MKLOAD_NAME -- Create loadfile name from reference file name
 *
 * o: ldname	loadfile name
 * i: fname	reference file name
 * i: maxch	declared length of loadfile name
 */

void mkload_name (char *ldname, char *fname, int maxch)
{
    char	dir[SZ_FNAME+1], root[SZ_FNAME+1], ext[SZ_FNAME+1];

    breakfname (fname, dir, root, ext, SZ_FNAME);
    safecopy (ldname, dir, maxch);
    safecat (ldname, root, maxch);
    safecat (ldname, ".lod", maxch);

}
