#include "cdbslib.h"
#include "loadfile.h"
#include "config.h"
#include "mkload.h"

/* TASK -- Main routine for the mkload task */

void task (int argc, char **argv)
{
    int		iarg;
    table	*look;
    char	catname[] = CATALOG_NAME;
    char	catcols[] = CATALOG_COLS;

    /* Create a loadfile for each input reference file */

    look = open_lookup (catname, catcols);

    for (iarg = 1; iarg < argc; iarg ++) {
	 if (is_datafile (argv[iarg]) == NO)
	      mkload (look, argv[iarg]);
    }

    close_lookup (look);
}
 
