#include "config.h"
#include "query.h"

/* COPY_TOKEN -- Copy token into expression string followed by a blank
 *
 * i: token	token string to be copied
 * u: ic	current location in expression string
 * o: expr	output expression string
 * i: maxch	maximum length of expression string
 */

void copy_token (char *token, int *ic, char *expr, int maxch)
{
    int		jc;

    jc = 0;
    while (*ic < maxch && token[jc] != EOS)
        expr[(*ic)++] = token[jc++];

    if (*ic < maxch) 
        expr[(*ic)++] = ' ';

    expr[*ic] = EOS;
}
