/* QRYLEX.H -- Constants used by query's lexical anaylzer */

#ifndef  QRYLEX_H
#define  QRYLEX_H

#define  BLANK		' '
#define  DOT		'.'
#define  SQUOTE		'\''
#define  DQUOTE		'"'
#define  USCORE		'_'

#define	 QRY_END		0
#define	 QRY_STRING		1
#define	 QRY_CONSTANT		2
#define	 QRY_IDENT		3
#define	 QRY_SYMBOL		4

#define  ISIDCHAR(x)		(x == DOT || x == USCORE || isalnum(x))

typedef struct {
    char	*ch;
    char	*line;
    FILE	*file;
} qlexer;

extern void	qrylex_close (qlexer *);
extern qlexer * qrylex_init (char *);
extern int	qrylex_next (qlexer *, char *, int);

#endif
