#include "cdbslib.h"
#include "syndemo.h"

/* GETSYNTAB -- Get names of most recently installed synphot table
 *
 * i: ext	extensuon of file to search for
 * o: table	table name 
 * i: maxch	declared length of table name
 */

void getsyntab (char *ext, char *table, int maxch)
{
    char	cdbsdir[SZ_FNAME+1], template[SZ_FNAME+1];
    char	file[SZ_FNAME+1];

    /* Translate the logical name of the directory 
     * containing the graph and component tables 
     */

    xlate_fname ("mtab$", cdbsdir, SZ_FNAME);

    /* Get the last file in this directory with .tmg extension
     * this is the current graph table
     */

    safecopy (template, cdbsdir, SZ_FNAME);
    safecat (template, "*", SZ_FNAME);
    safecat (template, ext, SZ_FNAME);

    lastfile (template, file, SZ_FNAME);

    /* Lastfile only retrieves the basename, 
     * so we must append it to the directory
     */

    safecopy (table, cdbsdir, maxch);
    safecat (table, file, maxch);
}
