#include <string.h>
#include "config.h"

/* IS_DATAKEYWD -- Determine if a keyword names a datafile 
 *
 * i: keyword
 */

int is_datakeywd (char *keyword)
{
    int		status;

    /* We assume the keyword names a data file, as opposed to a header file,
     * if the first four chars are "DATA". This is a pretty kludgey test,
     * but works for now. Future maintainers of this code beware !
     */

    if (strncmp (keyword, "DATA", 4) == 0) {
	status = YES;
    } else {
	status = NO;
    }

    return (status);
}
